> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rogeriq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent mode, model, monthly usage

` GET /projects/{projectId}/agent/status `

Agent mode, model, monthly usage

## Servers

- ` https://api.rogeriq.com/api/v1 `

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key with `riq_` prefix

## Parameters

### ` projectId ` (path, required)

- ` value `: type ` string `

## Responses

### ` 200 ` — Status

Content type: ` application/json `

- ` value `: type ` object `

  - ` data `: type ` object `

    - ` enabled `: type ` boolean `

    - ` mode `: type ` string `

      - enum: ` ["autopilot","copilot","assist"] `

    - ` model `: type ` string `

    - ` domain `: type ` string `; nullable

    - ` has_byom_key `: type ` boolean `

    - ` usage_this_month `: type ` object `

      - ` calls `: type ` integer `

      - ` input_tokens `: type ` integer `

      - ` output_tokens `: type ` integer `

      - ` cost_usd `: type ` number `

## Request examples

### cURL

```curl
curl -X GET 'https://api.rogeriq.com/api/v1/projects/string/agent/status' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/agent/status', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://api.rogeriq.com/api/v1/projects/string/agent/status', headers=headers)
print(response.json())
```